commit 7fb1d7bff18d318de00021765e1e12b0d56e7ac1
Author: Richard Earnshaw <rearnsha@arm.com>
Date:   Mon Mar 3 15:30:58 2025 +0000

    arm: xfail gcc.target/arm/unsigned-extend-1.c for thumb1
    
    Partial backport of 2a502f9e4c5c6a8e908ef1b0b5c03fb2e4bd4390.
    
    gcc/testsuite:
            * gcc.target/arm/unsigned-extend-1.c: Expand check for any
            insn suggesting a zero-extend.  XFAIL for thumb1 code.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>

diff --git a/gcc/testsuite/gcc.target/arm/unsigned-extend-1.c b/gcc/testsuite/gcc.target/arm/unsigned-extend-1.c
index 3b4ab048fb0..fa3d34400bf 100644
--- a/gcc/testsuite/gcc.target/arm/unsigned-extend-1.c
+++ b/gcc/testsuite/gcc.target/arm/unsigned-extend-1.c
@@ -5,5 +5,5 @@ unsigned char foo (unsigned char c)
 {
   return (c >= '0') && (c <= '9');
 }
-
-/* { dg-final { scan-assembler-not "uxtb" } } */
+/* We shouldn't need any zero-extension idioms here.  */
+/* { dg-final { scan-assembler-not "\t(uxtb|and|lsr|lsl)" { xfail arm_thumb1 } } } */

